# SparseInterval< vcsn::handler< T, unsigned >, ExcludedContainer > Class Template Reference
[Miscellaneous constructs used by Vaucanson]

Container over a sparse integer range. More...

List of all members.

## Detailed Description

### template<class T, class ExcludedContainer>
class vcsn::misc::SparseInterval< vcsn::handler< T, unsigned >, ExcludedContainer >

Container over a sparse integer range.

SparseInterval is a const adapter of a 3-uple : (from, begin, excluded). SparseInterval verifies the container concept.

Important note : the excluded container _MUST_ be an ordered set. The element with the highest id must be at at the end.

WARNING: always iterate over this container using the iterators.

Definition at line 105 of file listg_sparse_interval.hh.